
Figure - Bug #117799
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.launcher3（2）
2023-05-08 10:14 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5.6带开机动画版本）

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-10

Test Type: Monkey Test Root cause: 编码问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.launcher3 (pid 2587)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'android.content.Context

android.view.ViewGroup.getContext()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.NullPointerException: Attempt to invoke virtual method 'android.content.Context android.view.ViewGroup.getContext()' on a null

object reference

//     at com.android.launcher3.folder.FolderIcon.inflateIcon(FolderIcon.java:195)

//     at com.android.launcher3.folder.FolderIcon.inflateFolderAndIcon(FolderIcon.java:177)

//     at com.android.launcher3.Launcher.addFolder(Launcher.java:1980)

//     at com.android.launcher3.Launcher.createUserFolder(Launcher.java:3326)

//     at com.android.launcher3.Launcher.groupApp(Launcher.java:3288)

//     at com.android.launcher3.edit.EditButtonView.onClick(EditButtonView.java:69)

//     at android.view.View.performClick(View.java:7441)

//     at android.view.View.performClickInternal(View.java:7418)

//     at android.view.View.access$3700(View.java:835)

//     at android.view.View$PerformClick.run(View.java:28681)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)
History

#1 - 2023-05-08 10:16 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117798%26117799

#2 - 2023-05-08 10:16 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-05-08 14:56 - CD TEST-方永红

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5.5带开机动画版本） to

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)（5.6带开机动画版本）

#4 - 2023-05-08 19:41 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#5 - 2023-05-09 15:11 - CD APP-王宏

测试步骤：

1.将某一屏放置一个应用1

2.进入编辑模式，选择该应用1

3.进另一屏选中一个应用2

4.将应用1移动到另一随机屏幕，消除步骤1中所在的屏幕界面（下方指示器应减少一个点）

5.点击成组

期望结果：

无crash,且成组按钮和成组功能展示正常

#6 - 2023-05-09 15:14 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

拖动消除所在CellLayout后点击成组会发生崩溃，解决方案是在页面拖动结束后回调补充计算相关代码

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/198583

#7 - 2023-05-09 15:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198583 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
AF:Launcher:Fixed groupApp crash1.Fix crash caused by dragging icons before groupAppTC-RID: 1201-0205304IssueID: TS-R-BUG-117799Change-Id:

I175d3d9a1869ff9f8eeb3d0ec7738fc093e30c41

#8 - 2023-05-09 15:54 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-10

- Root cause set to 编码问题

#9 - 2023-05-12 17:56 - CD TEST-方永红

5.12

0099版本未复现

#10 - 2023-05-15 10:53 - CD TEST-方永红

5.15

13日DB未复现

#11 - 2023-05-16 14:25 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.16

15日DB未复现

先关闭

#12 - 2023-05-16 14:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 280 KB 2023-05-08 CD TEST-方永红
